Foreman - Bug #12805

lookup values not validating when parent key is invalid
12/14/2015 09:07 AM - Tom Caspy

Status: Closed
Priority: Normal
Assignee: Tom Caspy
Category: Parameters
Target version: 1.10.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2980
Description

in puppetclass#edit
input invalid default value into some lookup key
then input an invalid value into a lookup value

the lookup value doesn't get validated at all.

Related issues:

Has duplicate Foreman - Bug #8794: Smart variable validation stops after firs... Duplicate

12/28/2014

Associated revisions

Revision 4db14e17 - 01/12/2016 04:38 PM - Tom Caspy
fixes #12805 - nested LV in puppetclass form are now validated
Callbacks return false ONLY if they NEED to stop EVERYTHING else from

running!
DO NOT return false if you want to say "this isn't valid"

Revision 9383ba04 - 01/19/2016 09:18 AM - Tom Caspy

fixes #12805 - nested LV in puppetclass form are now validated

Callbacks return false ONLY if they NEED to stop EVERYTHING else from
running!

DO NOT return false if you want to say "this isn't valid"

(cherry picked from commit 4db14e17662e6631c51164127830c42863657575)

History

#1 - 12/14/2015 09:09 AM - Dominic Cleal

- Category set to Parameters

#2 - 12/16/2015 07:18 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/2980 added

#3 - 01/12/2016 05:02 PM - Tom Caspy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4db14e17662e6631c51164127830c42863657575.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4db14e17662e6631c51164127830c42863657575

#4 - 01/13/2016 03:22 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#5 - 02/17/2016 06:45 AM - Tom Caspy

- Has duplicate Bug #8794: Smart variable validation stops after first error added
